diff --git a/libraries/mbed/targets/cmsis/TARGET_NXP/TARGET_LPC11XX_11CXX/cmsis.h b/libraries/mbed/targets/cmsis/TARGET_NXP/TARGET_LPC11XX_11CXX/cmsis.h
index 6e00f1e26b..4b9e4353c6 100644
--- a/libraries/mbed/targets/cmsis/TARGET_NXP/TARGET_LPC11XX_11CXX/cmsis.h
+++ b/libraries/mbed/targets/cmsis/TARGET_NXP/TARGET_LPC11XX_11CXX/cmsis.h
@@ -9,5 +9,6 @@
 
 #include "LPC11xx.h"
 #include "cmsis_nvic.h"
+#include "bitfields.h"
 
 #endif
